mc retourne erreur a l'upgrade Le sujet est résolu

Demande d'aide : c'est ici.
Répondre
Avatar du membre
Grhim
Membre très actif
Membre très actif
Messages : 1099
Enregistré le : 30 mai 2016, 01:00
Localisation : pays d'Ouche
Status : Hors ligne

bonsoir,

je suis coincé avec l'upgrade de mc , j'ai supprimer pour reinstaller au propre mais c'est toujours ceci qui m'y empeche :


Les NOUVEAUX paquets suivants seront installés :
mc
0 mis à jour, 1 nouvellement installés, 0 à enlever et 1574 non mis à jour.
1 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/541 ko dans les archives.
Après cette opération, 1 544 ko d'espace disque supplémentaires seront utilisés.
Récupération des rapports de bogue… Fait
Analyse des informations Trouvé/Corrigé… Fait
(Lecture de la base de données... 782632 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../mc_3%3a4.8.27-1_amd64.deb ...
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/mc_3%3a4.8.27-1_amd64.deb (--unpack) :
conffile name 'remove-on-upgrade /etc/mc/edit.spell.rc' is not an absolute pathname
Des erreurs ont été rencontrées pendant l'exécution :
/var/cache/apt/archives/mc_3%3a4.8.27-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Debian Testing-Sid / Debian Stable / Kali Linux / LXDE sur Gnome3 - KissOs - Raspberry 3b+ -
MicP
Modérateur
Modérateur
Messages : 684
Enregistré le : 16 avr. 2016, 22:14
Status : Hors ligne

Bonjour
… 1574 non mis à jour. …
Il faudrait d'abord faire une mise à jour de la liste des paquetages,
suivie d'une mise à jour des paquetages installés.

Pour faire ça, avec les privilèges du compte root et dans son environnement,
il faudrait lancer la ligne de commandes suivante :

Code : Tout sélectionner

apt update && apt upgrade
PascalHambourg
Contributeur
Contributeur
Messages : 527
Enregistré le : 05 août 2016, 20:25
Status : Hors ligne

Grhim a écrit : 13 nov. 2021, 01:33 j'ai supprimer pour reinstaller au propre
Apparemment l'erreur concerne un fichier de configuration. Tu as essayé de purger le paquet avant de réinstaller ? Attention : cela supprime tous les fichiers de configuration système du paquet.
MicP a écrit : 13 nov. 2021, 02:09 Il faudrait d'abord faire une mise à jour de la liste des paquetages,
C'est déjà la dernière version du paquet mc dans testing et sid.
Avatar du membre
Grhim
Membre très actif
Membre très actif
Messages : 1099
Enregistré le : 30 mai 2016, 01:00
Localisation : pays d'Ouche
Status : Hors ligne

salut,

j'ai purger le paquet mais rien y fait , il ne veut pas re-installer mc ....il me dit toujours :

Code : Tout sélectionner

dpkg: erreur de traitement de l'archive /var/cache/apt/archives/mc_3%3a4.8.27-1_amd64.deb (--unpack) :
conffile name 'remove-on-upgrade /etc/mc/edit.spell.rc' is not an absolute pathname
je me demande si a la purge il enlève bien le

Code : Tout sélectionner

/etc/mc/edit.spell.rc
et ensuite j'ai tout essayer :

Code : Tout sélectionner

apt full-upgrade
apt dist-upgrade
aptitude safe-upgrade
aptitude full-upgrade
j'ai oublier de préciser qu'il s'agit de la Kali/debian , j'ai réussi a la maintenir depuis 2017 mais il y a eu un gros problème concernant un bug gdm3 en 2020, je l'avais passer aussi en lxde / Slim pour être tranquille .

es-ce que virer complétement gnome pourrait faire du mieux ?
Debian Testing-Sid / Debian Stable / Kali Linux / LXDE sur Gnome3 - KissOs - Raspberry 3b+ -
PascalHambourg
Contributeur
Contributeur
Messages : 527
Enregistré le : 05 août 2016, 20:25
Status : Hors ligne

Quelle est la version de dpkg ? Le drapeau "remove-on-upgrade" qui semble poser problème a été introduit dans la version 1.20.6.
Avatar du membre
Grhim
Membre très actif
Membre très actif
Messages : 1099
Enregistré le : 30 mai 2016, 01:00
Localisation : pays d'Ouche
Status : Hors ligne

PascalHambourg a écrit : 14 nov. 2021, 13:29 Quelle est la version de dpkg ? Le drapeau "remove-on-upgrade" qui semble poser problème a été introduit dans la version 1.20.6.
Salut Pascal ,

Code : Tout sélectionner

$ acp dpkg
dpkg:
  Installé : 1.20.5kali2
  Candidat : 1.20.5kali2
 Table de version :
     1.20.9kali1 500
        500 http://http.kali.org/kali kali-rolling/main amd64 Packages
 *** 1.20.5kali2 30000
        100 /var/lib/dpkg/status
Debian Testing-Sid / Debian Stable / Kali Linux / LXDE sur Gnome3 - KissOs - Raspberry 3b+ -
PascalHambourg
Contributeur
Contributeur
Messages : 527
Enregistré le : 05 août 2016, 20:25
Status : Hors ligne

Voilà, version 1.20.5 de dpkg trop ancienne pour gérer ce paquet.
Une version 1.20.9 est disponible mais pas candidate, je suppose tu as fait de l'épinglage.
Avatar du membre
Grhim
Membre très actif
Membre très actif
Messages : 1099
Enregistré le : 30 mai 2016, 01:00
Localisation : pays d'Ouche
Status : Hors ligne

PascalHambourg a écrit : 14 nov. 2021, 19:46 je suppose tu as fait de l'épinglage.
oui, il y a eu trop de bug a un moment , j'ai épinglé avec l'option -p lors du rapport de bug
Debian Testing-Sid / Debian Stable / Kali Linux / LXDE sur Gnome3 - KissOs - Raspberry 3b+ -
PascalHambourg
Contributeur
Contributeur
Messages : 527
Enregistré le : 05 août 2016, 20:25
Status : Hors ligne

Ça devait être il y a un petit moment. dpkg 1.20.9 est quand même dans Debian stable, elle ne doit pas être si buggée...
Avatar du membre
Grhim
Membre très actif
Membre très actif
Messages : 1099
Enregistré le : 30 mai 2016, 01:00
Localisation : pays d'Ouche
Status : Hors ligne

ok j'ai retrouver dans le fichiers preferences.d

Code : Tout sélectionner

Explanation: Pinned by apt-listbugs at 2021-03-17 17:53:09 +0100
Explanation:   #983855: dpkg: dpkg-realpath is broken
Explanation:   #985401: dpkg: libreoffice buster->bullseye upgrade failures
Package: dpkg
Pin: version 1.20.5kali2
Pin-Priority: 30000
je vais le unpin pour voir ..

Eeeeet :

on va attendre.... :

Code : Tout sélectionner

sudo aptitude upgrade dpkg
[sudo] Mot de passe de Grhim : 
Résolution des dépendances…                             
Les paquets suivants seront mis à jour : 
  dpkg mc 
2 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 1605 non mis à jour.
Il est nécessaire de télécharger 3 014 ko d'archives. Après dépaquetage, 209 ko seront utilisés.
Voulez-vous continuer ? [Y/n/?] y
Prendre :  1 http://kali.download/kali kali-rolling/main amd64 dpkg amd64 1.20.9kali1 [2 473 kB]
Prendre :  2 http://kali.download/kali kali-rolling/main amd64 mc amd64 3:4.8.27-1 [541 kB]
 3 014 ko téléchargés en 1s (3 006 ko/s)
Récupération des rapports de bogue… Fait
Analyse des informations Trouvé/Corrigé… Fait
bogues de gravité grave sur dpkg (1.20.5kali2 → 1.20.9kali1) <En attente de traitement>
 b1 - #995387 - dpkg: remove-on-upgrade deletes symlink targets owned by another package
Résumé :
 dpkg(1 bogue)
Êtes-vous certain(e) de vouloir installer/mettre à niveau les paquets ci-dessus ? [Y/n/?/...] n

https://bugs.debian.org/cgi-bin/pkgrepo ... t=unstable

Merci :good:
Debian Testing-Sid / Debian Stable / Kali Linux / LXDE sur Gnome3 - KissOs - Raspberry 3b+ -
PascalHambourg
Contributeur
Contributeur
Messages : 527
Enregistré le : 05 août 2016, 20:25
Status : Hors ligne

Problème résolu ? On ne voit pas si le paquet mc s'est bien installé.
Avatar du membre
Grhim
Membre très actif
Membre très actif
Messages : 1099
Enregistré le : 30 mai 2016, 01:00
Localisation : pays d'Ouche
Status : Hors ligne

PascalHambourg a écrit : 17 nov. 2021, 20:32 Problème résolu ? On ne voit pas si le paquet mc s'est bien installé.
Non , Hélas , pas encore, mais dés que je pourrais upgrader Dpkg se sera plus facile :

Code : Tout sélectionner

$ sudo aptitude upgrade mc
[sudo] Mot de passe de G. : 
Résolution des dépendances…                             
Les paquets suivants seront mis à jour : 
  mc 
1 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 1606 non mis à jour.
Il est nécessaire de télécharger 0 o/541 ko d'archives. Après dépaquetage, 16,4 ko seront utilisés.
Voulez-vous continuer ? [Y/n/?] Y
Récupération des rapports de bogue… Fait      
Analyse des informations Trouvé/Corrigé… Fait
Lecture des fichiers de modifications (« changelog »)... Terminé
(Lecture de la base de données... 761874 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../mc_3%3a4.8.27-1_amd64.deb ...
dpkg: erreur de traitement de l'archive /var/cache/apt/archives/mc_3%3a4.8.27-1_amd64.deb (--unpack) :
 conffile name 'remove-on-upgrade /etc/mc/edit.spell.rc' is not an absolute pathname
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/mc_3%3a4.8.27-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Code : Tout sélectionner

$ apt-listbugs list dpkg
Récupération des rapports de bogue… Fait
Analyse des informations Trouvé/Corrigé… Fait
bogues de gravité grave sur dpkg (→ ) <En attente de traitement>
 b1 - #995387 - dpkg: remove-on-upgrade deletes symlink targets owned by another package
Résumé :
 dpkg(1 bogue)

Debian Testing-Sid / Debian Stable / Kali Linux / LXDE sur Gnome3 - KissOs - Raspberry 3b+ -
PascalHambourg
Contributeur
Contributeur
Messages : 527
Enregistré le : 05 août 2016, 20:25
Status : Hors ligne

Grhim a écrit : 17 nov. 2021, 23:49 dés que je pourrais upgrader Dpkg
Qu'est-ce que qui t'en empêche ? Quand même pas ce bug qui ne se manifeste que dans des cas très particuliers ?
Avatar du membre
Grhim
Membre très actif
Membre très actif
Messages : 1099
Enregistré le : 30 mai 2016, 01:00
Localisation : pays d'Ouche
Status : Hors ligne

PascalHambourg a écrit : 18 nov. 2021, 14:05
Grhim a écrit : 17 nov. 2021, 23:49 dés que je pourrais upgrader Dpkg
Qu'est-ce que qui t'en empêche ? Quand même pas ce bug qui ne se manifeste que dans des cas très particuliers ?
Salutation cher Pascal,

le package sous Kali est buggé, tu pense que je pourrais prendre la package stable ou testing a la place en attendant ? pas trop risqué ?

je suis tout ouïes :)
Debian Testing-Sid / Debian Stable / Kali Linux / LXDE sur Gnome3 - KissOs - Raspberry 3b+ -
PascalHambourg
Contributeur
Contributeur
Messages : 527
Enregistré le : 05 août 2016, 20:25
Status : Hors ligne

Grhim a écrit : 19 nov. 2021, 21:11 le package sous Kali est buggé, tu pense que je pourrais prendre la package stable ou testing a la place en attendant ?
Si tu parles du bug #995387, il est aussi présent dans la version 1.20.9 de Debian stable et testing.
Avatar du membre
Grhim
Membre très actif
Membre très actif
Messages : 1099
Enregistré le : 30 mai 2016, 01:00
Localisation : pays d'Ouche
Status : Hors ligne

PascalHambourg a écrit : 19 nov. 2021, 22:33
Grhim a écrit : 19 nov. 2021, 21:11 le package sous Kali est buggé, tu pense que je pourrais prendre la package stable ou testing a la place en attendant ?
Si tu parles du bug #995387, il est aussi présent dans la version 1.20.9 de Debian stable et testing.
ok, je vois pour l'install d'une version en dessous 1.20.8 en local dans ce cas ....

remarque, existe t il un dpkg like sous debian ?
Debian Testing-Sid / Debian Stable / Kali Linux / LXDE sur Gnome3 - KissOs - Raspberry 3b+ -
PascalHambourg
Contributeur
Contributeur
Messages : 527
Enregistré le : 05 août 2016, 20:25
Status : Hors ligne

Grhim a écrit : 20 nov. 2021, 13:58 ok, je vois pour l'install d'une version en dessous 1.20.8 en local dans ce cas ....
Le bug #995387 est présent dès la version 1.20.6, il est apparu avec l'ajout de la fonctionnalité remove-on-upgrade qui est nécessaire à l'installation de la dernière version de mc.
Grhim a écrit : 20 nov. 2021, 13:58 existe t il un dpkg like sous debian ?
Je ne comprends pas la question. Qu'entends-tu par "dpkg like" ? dpkg est dans Debian, c'est Debian qui en est à l'origine.
Avatar du membre
Grhim
Membre très actif
Membre très actif
Messages : 1099
Enregistré le : 30 mai 2016, 01:00
Localisation : pays d'Ouche
Status : Hors ligne

Grhim a écrit : 20 nov. 2021, 13:58 existe t il un dpkg like sous debian ?
Je ne comprends pas la question. Qu'entends-tu par "dpkg like" ? dpkg est dans Debian, c'est Debian qui en est à l'origine.
[/quote]

existe il une package similaire a dpkg que l'on pourrait utiliser afin de pouvoir contourner le probleme ?
Debian Testing-Sid / Debian Stable / Kali Linux / LXDE sur Gnome3 - KissOs - Raspberry 3b+ -
PascalHambourg
Contributeur
Contributeur
Messages : 527
Enregistré le : 05 août 2016, 20:25
Status : Hors ligne

Je ne connais que udpkg, version simplifiée qui n'est disponible que dans l'installateur et conçue pour les paquets udeb de l'installateur.
Avatar du membre
vv222
Modérateur
Modérateur
Messages : 481
Enregistré le : 18 avr. 2016, 20:14
Localisation : Bretagne
Contact :
Status : Hors ligne

Ton problème est un faux problème. Enfin, plus exactement il y a un faux problème sur lequel tu te concentres :
- ce bug de dpkg retourné par apt-lisbugs est sans réelle importance, et en aucun cas une raison valable d’empêcher la mise-à-jour de dpkg

Et un vrai problème qui apparemment dure depuis bien plus longtemps :
- tu as choisis d’adopter un système qui n’est pas prévu pour une utilisation au quotidien (Kali) et tu ne sais pas encore comment le maintenir
Répondre